import { OnInit } from '@angular/core';
import { DialogService } from '../../../../ui-kit/dialog/dialog.service';
import * as i0 from "@angular/core";
export declare class ResponseSelectorComponent implements OnInit {
    private dialog;
    responseDetails: boolean;
    constructor(dialog: DialogService);
    ngOnInit(): void;
    addResponseSet(): void;
    openResponseDetails(): void;
    backResponse(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponseSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResponseSelectorComponent, "app-response-selector", never, {}, {}, never, never, false, never>;
}
